namespace PageBoxGrid {
    using System.Diagnostics;
    using System.Xml.Serialization;
    using System;
    using System.Web.Services.Protocols;
    using System.Web.Services;
    
    
	/// <summary>
	/// <p>ActiveNaming Web service invocation.<br/>
	/// Generated with wsdl.exe.
	/// Only change: construction setting the URL.</p>
	/// <p>Copyright (c) 2002 Alexis Grandemange<br/>
	/// Mail: alexis.grandemange@pagebox.net</p>
	/// <pre>This program is free software; you can redistribute it and/or
	/// modify it under the terms of the GNU Lesser General Public
	/// License as published by the Free Software Foundation; version
	/// 2.1 of the License.
	/// This library is distributed in the hope that it will be useful,
	/// but WITHOUT ANY WARRANTY; without even the implied warranty of
	/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	/// GNU Lesser General Public License for more details.
	/// A copy of the GNU Lesser General Public License lesser.txt should be
	/// included in the distribution.</pre>
	/// </summary>    
    [System.Web.Services.WebServiceBindingAttribute(Name="ActiveNamingSoap", Namespace="PageBox")]
    public class ActiveProxy : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
		/// <summary>
		/// Modified constructor with the Web service URL.
		/// </summary>
		/// <param name="url">Web service URL</param>
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        public ActiveProxy(string url) {
            this.Url = url;
        }
        
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("PageBox/GetCandidate", RequestNamespace="PageBox", ResponseNamespace="PageBox", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlArrayItemAttribute("Candidate", IsNullable=true)]
        public Candidate[] GetCandidate(string repository_URL, string WebService_archive, string WebService_name) {
            object[] results = this.Invoke("GetCandidate", new object[] {
                        repository_URL,
                        WebService_archive,
                        WebService_name});
            return ((Candidate[])(results[0]));
        }
        
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        public System.IAsyncResult BeginGetCandidate(string repository_URL, string WebService_archive, string WebService_name, System.AsyncCallback callback, object asyncState) {
            return this.BeginInvoke("GetCandidate", new object[] {
                        repository_URL,
                        WebService_archive,
                        WebService_name}, callback, asyncState);
        }
        
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        public Candidate[] EndGetCandidate(System.IAsyncResult asyncResult) {
            object[] results = this.EndInvoke(asyncResult);
            return ((Candidate[])(results[0]));
        }
        
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("PageBox/SetKeyRange", RequestNamespace="PageBox", ResponseNamespace="PageBox", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void SetKeyRange(string WebService_archive, string WebService_name, string keyRange) {
            this.Invoke("SetKeyRange", new object[] {
                        WebService_archive,
                        WebService_name,
                        keyRange});
        }
        
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        public System.IAsyncResult BeginSetKeyRange(string WebService_archive, string WebService_name, string keyRange, System.AsyncCallback callback, object asyncState) {
            return this.BeginInvoke("SetKeyRange", new object[] {
                        WebService_archive,
                        WebService_name,
                        keyRange}, callback, asyncState);
        }
        
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        public void EndSetKeyRange(System.IAsyncResult asyncResult) {
            this.EndInvoke(asyncResult);
        }
        
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("PageBox/GetKeyRange", RequestNamespace="PageBox", ResponseNamespace="PageBox", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string GetKeyRange(string WebService_archive, string WebService_name) {
            object[] results = this.Invoke("GetKeyRange", new object[] {
                        WebService_archive,
                        WebService_name});
            return ((string)(results[0]));
        }
        
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        public System.IAsyncResult BeginGetKeyRange(string WebService_archive, string WebService_name, System.AsyncCallback callback, object asyncState) {
            return this.BeginInvoke("GetKeyRange", new object[] {
                        WebService_archive,
                        WebService_name}, callback, asyncState);
        }
        
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        public string EndGetKeyRange(System.IAsyncResult asyncResult) {
            object[] results = this.EndInvoke(asyncResult);
            return ((string)(results[0]));
        }
        
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("PageBox/RemoveKeyRange", RequestNamespace="PageBox", ResponseNamespace="PageBox", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool RemoveKeyRange(string WebService_archive, string WebService_name) {
            object[] results = this.Invoke("RemoveKeyRange", new object[] {
                        WebService_archive,
                        WebService_name});
            return ((bool)(results[0]));
        }
        
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        public System.IAsyncResult BeginRemoveKeyRange(string WebService_archive, string WebService_name, System.AsyncCallback callback, object asyncState) {
            return this.BeginInvoke("RemoveKeyRange", new object[] {
                        WebService_archive,
                        WebService_name}, callback, asyncState);
        }
        
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        public bool EndRemoveKeyRange(System.IAsyncResult asyncResult) {
            object[] results = this.EndInvoke(asyncResult);
            return ((bool)(results[0]));
        }
    }
    
    public class Candidate {
        
        public string url;
        
        public string keyRange;
    }
}
